Bug 202733 - [MAINTAINER] www/validator: Better handling of configuration files
Summary: [MAINTAINER] www/validator: Better handling of configuration files
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-29 05:00 UTC by Naram Qashat
Modified: 2015-11-08 11:35 UTC (History)
1 user (show)

See Also:


Attachments
validator-1.3_2.patch (98.79 KB, patch)
2015-08-29 05:00 UTC, Naram Qashat
no flags Details | Diff
Poudriere log (30.13 KB, text/plain)
2015-08-29 05:00 UTC, Naram Qashat
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Naram Qashat 2015-08-29 05:00:02 UTC
Created attachment 160462 [details]
validator-1.3_2.patch

Better handling of configuration files by not including a really old validator.conf.sample in files and instead patching the one included with the software to begin with. Also include their httpd.conf sample instead of including that in pkg-message.

Also made use of the WWWDIR definition because that probably should've been used from the start anyways, and also fixing where the check script itself looks for the files.

Bumping the PORTREVISION because of how big the change actually is, despite only changing what files are installed.

Poudriere log in the next reply.
Comment 1 Naram Qashat 2015-08-29 05:00:23 UTC
Created attachment 160463 [details]
Poudriere log
Comment 2 Bartek Rutkowski freebsd_committer 2015-10-06 09:05:15 UTC
Can you silence the portlint warnings and submit new patch afterwards?
Comment 3 Naram Qashat 2015-10-06 12:29:56 UTC
The only portlint warnings I get (when I do portlint -abt) are 2 for "unknown" pkg-plist directives and 1 for LICENSE.

From what I've read in the porter's handbook, those pkg-plist directives I've used are valid and there are no issues when installing the package. I think portlint just doesn't know about those directives and that is why it complains.

As for LICENSE, the framework for LICENSE still has yet to be described in the porter's handbook and I do not feel like tracking down what license is used or how to describe it in the Makefile. Maybe if there was some actual documentation to it, I would do it, but I do not have the time to waste on something that isn't even being given attention to in the porter's handbook when everything else is.
Comment 4 commit-hook freebsd_committer 2015-11-08 11:34:27 UTC
A commit references this bug:

Author: robak
Date: Sun Nov  8 11:33:46 UTC 2015
New revision: 401050
URL: https://svnweb.freebsd.org/changeset/ports/401050

Log:
  www/validator: various improvements

  - Provide patched validator.conf.sample from original sources
  - Remove httpd.conf sample file from pkg-message
  - Use WWWDIR variable

  PR:		202733
  Submitted by:	Naram Qashat <cyberbotx@cyberbotx.com> (maintainer)

Changes:
  head/www/validator/Makefile
  head/www/validator/files/patch-htdocs_config_validator.conf
  head/www/validator/files/patch-httpd_cgi-bin_check
  head/www/validator/files/patch-httpd_cgi-bin_sendfeedback.pl
  head/www/validator/files/patch-httpd_conf_httpd.conf
  head/www/validator/files/pkg-message.in
  head/www/validator/files/validator.conf.sample.in
  head/www/validator/pkg-plist
Comment 5 Bartek Rutkowski freebsd_committer 2015-11-08 11:35:00 UTC
Committed, thanks!